Subject: Re: bug#16439: [feature request] Highlighting of strings within Info buffers

From: Eli Zaretskii <[email-masked]>
Date: Mon, 20 Jan 2014 17:17:46 +0200

> From: Juri Linkov <[email-masked]>
> Date: Mon, 20 Jan 2014 11:18:20 +0200
> Cc: [email-masked], [email-masked], [email-masked]
> 
> > I offered the `...' and "..." highlighting as a patch a decade ago.
> 
> The problem is how to highlight strings only in code samples
> because in other places highlighting "..." makes no sense.
> Look for example in the node (info "(emacs) Package Keywords"):
> 
>   Most optional features in Emacs are grouped into "packages".
> 
> Should "packages" be highlighted as a string.  Of course not.

Why not?  This particular example is produced from @dfn in Texinfo,
which should emphasize its argument.  In the printed version
"packages" is typeset in slanted typeface (and without the quotes).

> There is no additional emphasis on quotations in books.

But we are not talking about books, are we?  We are talking about Info
manuals, which are mostly documentation of software.